#include <stdio.h>
#include <stdlib.h>

struct Birthday {
      int day;
      int month; 
      int year;
      }  ;


void showDate(struct Birthday t, int option){
    if(option)    {
         printf("%d/%d/%d\n",t.day ,t.month, t.year);       
    }  
    else     {
    	printf("%d/%d/%d\n",t.month,t.day , t.year);       
    }
}

void readDate(struct Birthday *oneBirthday)
{
    printf("Type day : ");
    scanf("%d", &oneBirthday->day);
    printf("Type month : ");
    scanf("%d", &(*oneBirthday).month);
    printf("Type year : ");
    scanf("%d", &oneBirthday->year);
}


struct Birthday Initialize (int day, int month, int year)
{
	struct Birthday test;
	test.day = day;
	test.month = month;
	test.year = year;
	
	return test;
}

const int monthDays[12] = {31, 28, 31, 30, 31, 30, 
                           31, 31, 30, 31, 30, 31}; 

int getMonthDays(int month)
{
	int i, n = 0;
	for (i=0; i< month - 1; i++) 
        n += monthDays[i]; 
    return n;    
}

int Compare(struct Birthday aDate, struct Birthday bDate)
{
	int adays = aDate.year * 365 + getMonthDays(aDate.month) + aDate.day;
	int bdays = bDate.year * 365 + getMonthDays(bDate.month) + bDate.day;
	
	if(adays > bdays) 
	{
		return -1;
	}
	else if(adays < bdays) 
	{
		return 1;
	}
    else
    {
    	return 0;
	}
}

int main(int argc, char *argv[]) {

 struct Birthday myBirthday;
  
  readDate(&myBirthday);
  showDate(myBirthday, 1);

  struct Birthday x;
  x  = Initialize(23, 9, 2016);
  showDate(x, 1);
 
 
  struct Birthday y = Initialize(23, 9, 2016);
  
  if( Compare(x, y) == 0)
  {
  	   printf("\nThe two dates are the same.\n");
  }
  
  
  return 0;
}


